<html>
<head>
	<title>Mailformulier</title>
</head>
<body>
<?php
ini_set("SMTP", "smtp.chello.nl");
ini_set("smtp_port", 25);
ini_set ("sendmail_from", "burger@leer-php.nl");
if ($_POST["verzendbutton"] != "verzenden" || !$_POST["naam"] || !$_POST["mailadres"] || !$_POST["reactie"]) { // dus als het formulier leeg is of een van de waarden niet is ingevuld
?>
<form action="mailform3.php" method="post">
<?php
	if ($_POST["verzendbutton"] && !$_POST["naam"]) {
		echo "<font color=\"red\">Vul hier de naam in!</font><br>";
}
?>
Naam: <input type="text" name="naam" value="<?php echo $_POST["naam"] ?>"><br>
<?php
	if ($_POST["verzendbutton"] && !$_POST["mailadres"]) {
		echo "<font color=\"red\">Vul hier mailadres in!</font><br>";
}
?>
E-mail: <input type="text" name="mailadres" value="<?php echo $_POST["mailadres"] ?>"><br>
<?php
	if ($_POST["verzendbutton"] && !$_POST["reactie"]) {
		echo "<font color=\"red\">Vul hier uw reactie in!</font><br>";
}
?>
Uw reactie: <textarea cols="30" rows="4" name="reactie"><?php echo $_POST["reactie"] ?></textarea>
<input type="submit" value="verzenden" name="verzendbutton">
</form>
<?php
} else { // in alle andere gevallen (dus formulier verzonden)
	$boodschap = "Naam: ".$_POST["naam"]."\nCommentaar: ".$_POST["reactie"];
	mail($_POST["mailadres"], "Uw reactie van de website", $boodschap);
	echo "Bedankt ".$_POST["naam"].", fijn dat je mee wilde doen!";
}
?>
</body>
</html>
